Bug 215381

Summary: devel/gnome-vfs: Incorrectly assumes ${LOCALBASE}/lib/libkrb5.so belongs to security/heimdal
Product: Ports & Packages Reporter: Trond.Endrestol
Component: Individual Port(s)Assignee: freebsd-gnome (Nobody) <gnome>
Status: Closed Overcome By Events    
Severity: Affects Some People CC: gnome, hrs, lantw44, tcberner, vidar, w.schwarzenfeld
Priority: --- Flags: vlad-fbsd: maintainer-feedback? (gnome)
Version: Latest   
Hardware: Any   
OS: Any   
Attachments:
Description Flags
svn-diff-gnome-vfs
none
How 'bout something like this? none

Description Trond.Endrestol 2016-12-18 16:08:55 UTC
In fact ${LOCALBASE}/lib/libkrb5.so might be equally due to security/krb5. Please make Kerberos support optional, if possible. If such support is desired by the user, then let the user make a choice between security/krb5 or security/heimdal. See security/p5-GSSAPI/Makefile for valuable hints.
Comment 1 Walter Schwarzenfeld freebsd_triage 2018-03-08 17:14:49 UTC
ping!
Comment 2 Walter Schwarzenfeld freebsd_triage 2018-03-08 17:19:08 UTC
Created attachment 191316 [details]
svn-diff-gnome-vfs
Comment 3 Walter Schwarzenfeld freebsd_triage 2018-03-08 17:19:26 UTC
Maintainer timeout?
Comment 4 Vidar Karlsen 2018-03-11 02:01:17 UTC
Created attachment 191382 [details]
How 'bout something like this?

Ok, this is a tad more than a minor change:
- removes a number of .if conditionals in favor of OPT_USES, OPT_LIB_DEPENDS etc.
- passes ${KRB5CONFIG} to the build so it actually builds against the right one
- gives the choice between GSSAPI_BASE GSSAPI_HEIMDAL and GSSAPI_MIT
Comment 5 Ting-Wei Lan 2018-03-16 13:36:58 UTC
(In reply to Vidar Karlsen from comment #4)
Attachment 191382 [details] looks nice. It is much better than the current one.
Comment 6 Tobias C. Berner freebsd_committer 2020-12-19 14:37:23 UTC
Moin moin 

Please re-open if this is still an issue.


mfg Tobias